# H245_T38FaxProfile Class Reference

`#include <h245.h>`

Inheritance diagram for H245_T38FaxProfile:

List of all members.

## Public Types

enum | OptionalFields { e_version, e_t38FaxRateManagement, e_t38FaxUdpOptions, e_t38FaxTcpOptions }

## Public Member Functions

| H245_T38FaxProfile (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Boolean | m_fillBitRemoval
PASN_Boolean | m_transcodingJBIG
PASN_Boolean | m_transcodingMMR
PASN_Integer | m_version
H245_T38FaxRateManagement | m_t38FaxRateManagement
H245_T38FaxUdpOptions | m_t38FaxUdpOptions
H245_T38FaxTcpOptions | m_t38FaxTcpOptions

## Member Enumeration Documentation

enum H245_T38FaxProfile::OptionalFields

Enumerator:

  e_version |
  e_t38FaxRateManagement |
  e_t38FaxUdpOptions |
  e_t38FaxTcpOptions |

## Constructor & Destructor Documentation

H245_T38FaxProfile::H245_T38FaxProfile | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_T38FaxProfile::GetDataLength | ( |  | ) | const

PBoolean H245_T38FaxProfile::Decode | ( | PASN_Stream & | strm | ) |

void H245_T38FaxProfile::Encode | ( | PASN_Stream & | strm | ) | const

void H245_T38FaxProfile::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_T38FaxProfile::Compare | ( | const PObject & | obj | ) | const

PObject* H245_T38FaxProfile::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Boolean H245_T38FaxProfile::m_fillBitRemoval

PASN_Boolean H245_T38FaxProfile::m_transcodingJBIG

PASN_Boolean H245_T38FaxProfile::m_transcodingMMR

PASN_Integer H245_T38FaxProfile::m_version

H245_T38FaxRateManagement H245_T38FaxProfile::m_t38FaxRateManagement

H245_T38FaxUdpOptions H245_T38FaxProfile::m_t38FaxUdpOptions

H245_T38FaxTcpOptions H245_T38FaxProfile::m_t38FaxTcpOptions

The documentation for this class was generated from the following file:

- h245.h